Consistent_identitiesNotificationRead

Step 4) Get notifications

POST
/api/consistent_identities/notification/read

Notifications are generated by the system after certain types of events, such as errors or the generation of new swaps. They are generated to notify the user about the processing status.

Notifications are automatically deleted after 600 seconds from their creation.

response = requests.post(URL_API+'/consistent_identities/notification/read',headers={'Authorization': 'Bearer '+TOKEN},json={'name_list':'swap, error, download'},)

Notifications after swap:

name = "new_generation"data = {}

Notifications after download ready:

name = "download"data = {}

Notification after errors:

name = "error"data = {'tasks':"activity where the error occured",'msg':"error message"}

Authorization

token_auth_2
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
name_list*string

Response Body

OK

application/json
  1. response
notifications_list?array<>
curl -X POST "https://example.com/api/consistent_identities/notification/read" \  -H "Content-Type: application/json" \  -d '{    "name_list": "string"  }'
{  "notifications_list": [    {      "id": 0,      "name": "string",      "timestamp": 0,      "data": {        "property1": null,        "property2": null      }    }  ]}